const jPhidget22 = nw.require("phidget22");

nw.Window.get().showDevTools();

window.addEventListener('load', function () {

  console.log("Page loaded");

  let pServer = new jPhidget22.Connection('phid://localhost:5661');
  pServer.connect()
    .then(start)
    .catch(err => console.log(err));

});

function start() {

  let sensor = new jPhidget22.VoltageRatioInput();
  // sensor.setDeviceSerialNumber(123456);          <=== make sure to get the serial number of your unit
  sensor.setChannel(2); //                          <=== make sure this is where your sensor is connected

  sensor.onAttach = function(ch) {

    console.log(ch.name + ' is attached!');

    sensor.setDataInterval(50);

    // sensor.onVoltageRatioChange = function (ratio) {
    //   console.log('Voltage ratio: ' + ratio);
    // };

    sensor.setSensorType(jPhidget22.VoltageRatioSensorType.SENSOR_TYPE_1101_SHARP_2Y0A02);

    sensor.onSensorChange = function (value, unit) {
      console.log('Distance: ' + value + unit.symbol);
    };

  };

  sensor.open().catch(err => console.log(err));

}
